curl --request PATCH \
--url https://api.jtl-cloud.com/erp/deliveryNotes/packages/{packageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"TrackingID": "JJD0099999999",
"ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
"Comment": "Shipping Comment"
}
'import requests
url = "https://api.jtl-cloud.com/erp/deliveryNotes/packages/{packageId}"
payload = {
"TrackingID": "JJD0099999999",
"ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
"Comment": "Shipping Comment"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
TrackingID: 'JJD0099999999',
ShippedDate: '2023-02-01T12:45:00.0000000+00:00',
Comment: 'Shipping Comment'
})
};
fetch('https://api.jtl-cloud.com/erp/deliveryNotes/packages/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"PackageDate": "2023-02-01T12:45:00.0000000+00:00",
"TrackingID": "JJD0099999999",
"Weights": 5,
"ShippingMethodId": 123,
"ShippedDate": "2023-02-01T12:45:00.0000000+00:00",
"TrackingUrl": "https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc=JJD0099999999",
"Comment": "Shipping Comment"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Patch Package Data
Transmit Package Data
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
The Package to update
Response
Returns the package that are created for the delivery note.
Model Class: DeliveryNotePackage
The date when the package was created.
"2023-02-01T12:45:00.0000000+00:00"
The tracking Id of the package.
"JJD0099999999"
The weight of the package.
5
The date when the package was shipped.
"2023-02-01T12:45:00.0000000+00:00"
The tracking url of the package.
"https://nolp.dhl.de/nextt-online-public/set_identcodes.do?lang=de&idc=JJD0099999999"
The comment of the package.
"Shipping Comment"
Was this page helpful?